{% extends "layouts/page.html" %}{% load static humanize custom_tags %}
{% block page %}

{% comment %} SHOWCASE {% endcomment %}
<div class="overflow-hidden">
  <div
    id="showcase"
    data-aos="zoom-out"
    data-aos-duration="1500"
    style="background-image: url({% get_media_prefix %}{{news.image}})"
    class="h-[60vh] bg-main/20 flex items-end bg-center bg-cover px-5">
    <div
      data-aos="fade-up"
      data-aos-duration="1000"
      class="bg-gradient-to-r from-transparent via-main/75 w-full"
    >
      <h1
        class="max-w-screen-xl px-6 py-4 mx-auto text-main-white text-center text-3xl sm:text-4xl font-medium uppercase">
        {{news.title}}
      </h1>
    </div>
  </div>
</div>

<div class="max-w-screen-xl mx-auto px-4 py-8 sm:p-8">

  {% comment %} TOP PANEL {% endcomment %}
  <div
    data-aos="fade-up"
    data-aos-duration="1000"
    class="flex items-center gap-1 px-6 h-12 bg-gradient-to-br from-main/95 to-main-dark mt-10 mb-7 rounded-md text-white font-medium shadow-lg overflow-hidden whitespace-nowrap text-ellipsis"
  >
    <a href="{% url "apps.base:index" %}" class="transition-colors hover:text-accent">{{_("Main page")}}</a>
    /
    <a href="{% url "apps.news:index" %}" class="transition-colors hover:text-accent">{{_("News of Mosque")}}</a>
    /
    <span class="text-accent capitalize">{{news.title|truncatechars:25}}</span>
  </div>

  {% comment %} CONTENT {% endcomment %}
  <div class="grid gap-8">

    {% comment %} NEWS {% endcomment %}
    <div
      data-aos="zoom-out-up"
      data-aos-duration="1000"
      data-aos-anchor-placement="top-bottom"
      class="bg-gradient-to-r from-transparent via-main/10 px-5 py-4 rounded-lg">
      <h3 class="text-2xl leading-7 p-2 font-medium capitalize">{{news.title}}</h3>
      <p class="leading-tight mb-5 mt-2.5 indent-6 text-justify">
        {{news.text|linebreaksbr|indent:"1.5rem"}}
      </p>
      <div class="flex flex-wrap gap-x-5 gap-y-1.5 justify-end items-center px-3 text-xs text-main/75">
        <div class="flex gap-x-1.5 items-center">
          <i class="fa-regular fa-eye"></i>
          <em>{{news.hit}}</em>
        </div>
        {% if news.author %}
        <div class="flex gap-x-1.5 items-center">
          <i class="fa-regular fa-user"></i>
          <em class="line-clamp-1 capitalize">{{news.author}}</em>
        </div>
        {% endif %}
        <div class="flex gap-x-1.5 items-center">
          <i class="fa-regular fa-clock"></i>
          <em>{{news.created_date}}</em>
        </div>
      </div>
    </div>

    {% comment %} VIDEO {% endcomment %}
    {% if news.video %}
      <div
        data-aos="zoom-in-up"
        data-aos-duration="1000"
        data-aos-anchor-placement="top-bottom"
        class="max-w-3xl w-full aspect-video mx-auto my-5 overflow-hidden border-2 rounded-lg shadow-lg"
      >
        <video
          src="{% get_media_prefix %}{{news.video}}"
          class="object-cover w-full h-full"
          {% comment %} preload="none" {% endcomment %}
          controls
        ></video>
      </div>
    {% endif %}

  </div>
</div>

{% endblock page %}
